weka.classifiers.lazy.kstar

## Interface KStarConstants

- All Known Implementing Classes:
    KStar, KStarNominalAttribute, KStarNumericAttribute

      public interface KStarConstants

  Version:
    $Revision 1.0 $
  Author:
    Len Trigg (len@reeltwo.com), Abdelaziz Mahoui (am14@cs.waikato.ac.nz)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `B_ENTROPY`
    `static int` | `B_SPHERE` Blend setting modes
    `static double` | `EPSILON`
    `static double` | `FLOOR`
    `static double` | `FLOOR1`
    `static double` | `INITIAL_STEP`
    `static double` | `LOG2`
    `static int` | `M_AVERAGE`
    `static int` | `M_DELETE` Missing value handling mode
    `static int` | `M_MAXDIFF`
    `static int` | `M_NORMAL`
    `static int` | `NUM_RAND_COLS`
    `static int` | `OFF`
    `static int` | `ON` Some usefull constants
    `static double` | `ROOT_FINDER_ACCURACY`
    `static int` | `ROOT_FINDER_MAX_ITER` How close the root finder for numeric and nominal have to get

- - ### Field Detail

    - #### ON

          static final int ON

      Some usefull constants
      See Also:
        Constant Field Values

    - #### OFF

          static final int OFF

      See Also:
        Constant Field Values

    - #### NUM_RAND_COLS

          static final int NUM_RAND_COLS

      See Also:
        Constant Field Values

    - #### FLOOR

          static final double FLOOR

      See Also:
        Constant Field Values

    - #### FLOOR1

          static final double FLOOR1

      See Also:
        Constant Field Values

    - #### INITIAL_STEP

          static final double INITIAL_STEP

      See Also:
        Constant Field Values

    - #### LOG2

          static final double LOG2

      See Also:
        Constant Field Values

    - #### EPSILON

          static final double EPSILON

      See Also:
        Constant Field Values

    - #### ROOT_FINDER_MAX_ITER

          static final int ROOT_FINDER_MAX_ITER

      How close the root finder for numeric and nominal have to get
      See Also:
        Constant Field Values

    - #### ROOT_FINDER_ACCURACY

          static final double ROOT_FINDER_ACCURACY

      See Also:
        Constant Field Values

    - #### B_SPHERE

          static final int B_SPHERE

      Blend setting modes
      See Also:
        Constant Field Values

    - #### B_ENTROPY

          static final int B_ENTROPY

      See Also:
        Constant Field Values

    - #### M_DELETE

          static final int M_DELETE

      Missing value handling mode
      See Also:
        Constant Field Values

    - #### M_MAXDIFF

          static final int M_MAXDIFF

      See Also:
        Constant Field Values

    - #### M_NORMAL

          static final int M_NORMAL

      See Also:
        Constant Field Values

    - #### M_AVERAGE

          static final int M_AVERAGE

      See Also:
        Constant Field Values